> For the complete documentation index, see [llms.txt](https://docs.yfx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yfx.com/roadmap.md).

# Roadmap

## Roadmap Update

{% hint style="success" %}
The YFX project started in June 2020, and the V1 app was successfully deployed on Tron mainnet in January 2021.
{% endhint %}

## 2020

* June - The project was founded to develop a decentralized perpetual contract trading platform.
* GitHub: <https://github.com/yfxcom/yfx-contract-v1-core>

## 2021

* January - V1 was launched and deployed on Tron
* April - V1 was deployed on Heco and BSC
* May - V1 was deployed on Gnosis Chain (formerly xDai Chain)
* GitHub: <https://github.com/yfxcom/yfx-contract-v1-core>

## 2022

* Developed more functions such as funding fees, limit orders, stop-loss & take-profit orders, net position, etc., in V2
* GitHub: <https://github.com/yfxcom/yfx-v2-core>
* June - V2 Certik Audit was complete
* July - V2 was launched and deployed on Heco

## 2023

* April - V2 was deployed on zkSync
* May - The system was upgraded, and V3 was launched on the Aritrum Goerli test network for public testing. YFX Cross-chain Bridge was launched.
* June - V3 Certik Audit will be complete. YFX will be launched and deployed on Arbitrum
* Github: <https://github.com/yfxcom/yfx_v3_core>

## 2024

* January - YFX V4 Develop
* March - YFX V4 Audit
* April- YFX V4 Launch


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yfx.com/roadmap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
